> For the complete documentation index, see [llms.txt](https://docs.t1ger.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/toolshop.md).

# toolshop

Types and list of items available in the toolshop menu.&#x20;

{% hint style="success" %}
You can add or remove items in here. Just define them inside `t1ger_chopshop/shared/items.lua` and follow the same setup as below.
{% endhint %}

```lua
---@class ToolShopItem
---@field name string
---@field label string
---@field icon string
---@field description string?
---@field price number
---@field requiredPoints number

---@type ToolShopItem[]
return {
    -- socket wrench:
    {
        name = Config.Items["socket_wrench"].item, -- item name
        label = Config.Items["socket_wrench"].label, -- item label
        icon = Config.Items["socket_wrench"].icon, -- item icon
        description = "Slow tool for loosening wheel bolts.", -- item/menu description. Set to nil to disable.
        price = 250, -- item price
        requiredPoints = 0, -- required reputation points?
    },
    -- impact wrench:
    {
        name = Config.Items["impact_wrench"].item,
        label = Config.Items["impact_wrench"].label,
        icon = Config.Items["impact_wrench"].icon,
        description = "Fast tool for loosening wheel bolts.",
        price = 950,
        requiredPoints = 500,
    },
    -- cutting torch:
    {
        name = Config.Items["cutting_torch"].item,
        label = Config.Items["cutting_torch"].label,
        icon = Config.Items["cutting_torch"].icon,
        description = "Burns slowly through bolts and hinges.",
        price = 1200,
        requiredPoints = 0,
    },
    -- angle grinder:
    {
        name = Config.Items["angle_grinder"].item,
        label = Config.Items["angle_grinder"].label,
        icon = Config.Items["angle_grinder"].icon,
        description = "Cuts through panels, bolts and hinges fast.",
        price = 2200,
        requiredPoints = 1500,
    },
    -- spanner set:
    {
        name = Config.Items["spanner_set"].item,
        label = Config.Items["spanner_set"].label,
        icon = Config.Items["spanner_set"].icon,
        description = "Used to salvage components from engine bay area.",
        price = 1600,
        requiredPoints = 2000,
    },
    -- vehicle radar:
    {
        name = Config.Items["vehicle_radar"].item,
        label = Config.Items["vehicle_radar"].label,
        icon = Config.Items["vehicle_radar"].icon,
        description = "Scans tracked vehicles on the chop list",
        price = 5000,
        requiredPoints = 3000,
    },
    -- lockpick:
    {
        name = Config.Items["lockpick"].item,
        label = Config.Items["lockpick"].label,
        icon = Config.Items["lockpick"].icon,
        description = "Unlocks vehicle doors.",
        price = 600,
        requiredPoints = 0,
    },
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/toolshop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
